<%- include('head', {title: 'S\' inscrire' , user, message}); %>

    <script>
        function checkInputs() {
            const username = document.querySelector('[name="username"]').value
            const email = document.querySelector('[name="email"]').value
            const password = document.querySelector('[name="password"]').value
            const confirmPassword = document.querySelector('[name="confirmPassword"]').value

            let error = ''

            if (username.length < 4)
                error = `Le nom d'utilisateur doit faire au moins 4 caractères !`

            else if (username.length > 32)
                error = `Le nom d'utilisateur doit faire au maximum 32 caractères !`

            else if (!validateEmail(email))
                error = `L'email n'est pas valide !`

            else if (password.length < 8)
                error = `Le mot de passe doit faire au moins 8 caractères !`

            else if (password.length > 32)
                error = `Le mot de passe doit faire au maximum 32 caractères !`

            else if (confirmPassword !== password)
                error = `Les mots de passe ne correspondent pas !`

            document.querySelector('#error').innerText = error

            if (error.length) return false
            else return true
        }

        const validateEmail = (email) => {
            return String(email)
                .toLowerCase()
                .match(
                    /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
                )
        }
    </script>

    <h2 class="text-3xl text-center mt-3 font-bold">S'inscrire</h2>
    <form method="POST" action="/api/user/register" onsubmit="return checkInputs()" class="flex flex-col gap-3 pt-5
    max-w-xl mx-auto w-full mt-10 flex rounded-xl shadow-md p-4 flex flex-col bg-white">

        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm" onchange="checkInputs()">Nom d'utilisateur</label>
            <input type="text" required name="username"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>

        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm" onchange="checkInputs()">Adresse email</label>
            <input type="email" required name="email"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>


        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm" onchange="checkInputs()">Mot de passe</label>
            <input type="password" required name="password"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>

        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm">Confirmation du mot de passe</label>
            <input type="password" required name="confirmPassword" onchange="checkInputs()"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>

        <span id="error" class="mx-auto text-red-600"><%- error %></span>


        <button type="submit"
            class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-4 flex w-fit justify-center hover:bg-blue-800 mx-auto">S'inscrire</button>

        <a href="/login" class="mx-auto text-blue-600 hover:text-blue-800">Déjà inscrit ? Se connecter.</a>
    </form>

    <%- include('footer'); %>